# std::binary_negate< _Predicate > Class Template Reference
[Negators]

One of the negation functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::binary_negate:

[legend]
Collaboration diagram for std::binary_negate< _Predicate >:

[legend]
List of all members.

## Detailed Description

### template<class _Predicate>
class std::binary_negate< _Predicate >

One of the negation functors.

Definition at line 293 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h